GET
https://api.cryptohopper.com/v1/user/transactions
Returns the user's credit transactions, newest first, at most 200. type is in for credits added and out for credits spent or withdrawn.
OAuth scope:
read user About scopes
Example request
curl "https://api.cryptohopper.com/v1/user/transactions" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/user/transactions', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/user/transactions",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/user/transactions');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": [
{
"id": "391000",
"user_id": "123456",
"purchase_id": "466000",
"purchase_type": "subscription",
"type": "out",
"credits": "29.00",
"description": "",
"transaction_date": "2026-09-01 10:15:00"
}
]
}